#!/usr/bin/perl

#----------------------------#
#generate tar file to script
#----------------------------#

my $name = $ARGV[0];
qx!tar cvf cds.tar $name*!; 

my $infile = "cds.tar"; my $outfile = $ARGV[1];

open(ouf, "> $outfile");
open(inf, "< $infile");

print ouf "#!/usr/bin/perl\n\n\n";
print ouf "open(ouf, \"> $infile\");\n";
print ouf "open(inf, \"< $outfile\");\n\n";
print ouf "binmode(inf);\n\n";

print ouf "while(<inf>)\n{\n";

print ouf "  if (\$begin eq \"yes\")\n     {";
print ouf "  \$sub = s/#--\@//;\n\n";
print ouf "   print ouf \$_;}\n\n";

print ouf "\$beg = grep(/#--\\\@begin/,\$_);";
print ouf "  if (\$beg == 1)\n    {";
print ouf "  \$begin = \"yes\";}\n\n";
print ouf "    }\n\n";
print ouf "qx!tar xvf $infile!;\n";
print ouf "close(ouf);\n";
print ouf "close(inf);\n";
print ouf "#--\@begin\n";

binmode(inf);

while(<inf>)
{
 print ouf "#--\@".$_;
}
print ouf "close(\"cds.tar\");\n";
print ouf "unlink \"cds.tar\";\n";

if (-e $outfile){
qx!chmod 755 $outfile!;}
unlink "cds.tar";
